[arch-commits] Commit in gegl/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Antonio Rojas arojas at archlinux.org
Sat Feb 27 10:51:11 UTC 2021


    Date: Saturday, February 27, 2021 @ 10:51:11
  Author: arojas
Revision: 408897

archrelease: copy trunk to extra-x86_64

Added:
  gegl/repos/extra-x86_64/PKGBUILD
    (from rev 408896, gegl/trunk/PKGBUILD)
Deleted:
  gegl/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   89 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 45 insertions(+), 44 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-27 10:50:57 UTC (rev 408896)
+++ PKGBUILD	2021-02-27 10:51:11 UTC (rev 408897)
@@ -1,44 +0,0 @@
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-
-pkgname=gegl
-pkgver=0.4.26
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('x86_64')
-url="https://www.gegl.org/"
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse' 'poppler-glib')
-makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'gobject-introspection' 'git' 'meson' 'python-gobject')
-optdepends=('ffmpeg: ffmpeg plugin')
-_commit='3371550915bfe10e9e0add87caaf578464305542'  # tags/GEGL_0_4_26^0
-source=("git+https://gitlab.gnome.org/GNOME/gegl.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd ${pkgname}
-  git cherry-pick -n c1c3541caab485384087bbbcf1c83ef2d5bd4d43
-}
-
-build() {
-  mkdir -p build
-  cd build
-  arch-meson ../$pkgname \
-    -Dworkshop=true \
-    -Dmrg=disabled
-  ninja
-}
-
-check() {
-  cd build
-  ninja test || :
-}
-
-package() {
-  cd build
-  DESTDIR="${pkgdir}" ninja install
-}

Copied: gegl/repos/extra-x86_64/PKGBUILD (from rev 408896, gegl/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-27 10:51:11 UTC (rev 408897)
@@ -0,0 +1,45 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.4.28
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="https://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse' 'poppler-glib')
+makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'gobject-introspection' 'git' 'meson' 'python-gobject')
+optdepends=('ffmpeg: ffmpeg plugin')
+_commit=811bd306500764a8c64debee4e1e0adda6ac74d3
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd ${pkgname}
+  git cherry-pick -n c1c3541caab485384087bbbcf1c83ef2d5bd4d43
+}
+
+build() {
+  mkdir -p build
+  cd build
+  arch-meson ../$pkgname \
+    -Dworkshop=true \
+    -Dmrg=disabled \
+    -Dmaxflow=disabled
+  ninja
+}
+
+check() {
+  cd build
+  ninja test || :
+}
+
+package() {
+  cd build
+  DESTDIR="${pkgdir}" ninja install
+}


More information about the arch-commits mailing list